## merkaartor 0.19.0~rc1+ds

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.19.0)

set(VCS_FALLBACK_VERSION 0.19.0)
include(cmake/vcs.cmake)
message(STATUS "Configuring Merkaartor ${VCS_VERSION}, commit: ${VCS_COMMIT}, dirty: ${VCS_DIRTY}.")

# Set a default build type if none was specified
if(NOT CMAKE_BUILD_TYPE AND NOT CMAKE_CONFIGURATION_TYPES)
  set(MERK_DEFAULT_BUILD_TYPE "Debug")
  message(STATUS "Setting build type to '${MERK_DEFAULT_BUILD_TYPE}' as none was specified.")
  set(CMAKE_BUILD_TYPE "${MERK_DEFAULT_BUILD_TYPE}" CACHE STRING "Choose the type of build." FORCE)
  # Set the possible values of build type for cmake-gui
  set_property(CACHE CMAKE_BUILD_TYPE PROPERTY STRINGS "Debug" "Release" "MinSizeRel" "RelWithDebInfo")
endif()


project(merkaartor VERSION ${VCS_VERSION})
# TODO: Use configure_file() instead of definitions when qmake is deprecated.
# Using definitions causes unnecessary rebuilds, as with each commit the hash
# changes compile flags for each and every file. However, it is kept for qmake
# compatibility.
# Using configure_file() allows us to store the metadata in a .cpp file, thus
# only rebuilding that one and linking.
add_definitions(-DVERSION=${PROJECT_VERSION} -DREVISION=${VCS_DESCRIBE})
add_definitions(-DPRODUCT=Merkaartor)
add_definitions(-DSHARE_DIR=${CMAKE_INSTALL_PREFIX}/share/merkaartor)
add_definitions(-DTRANSDIR_MERKAARTOR=${CMAKE_INSTALL_PREFIX}/share/merkaartor)

enable_testing()

# TODO: Add support for sanitizers

set(CMAKE_EXPORT_COMPILE_COMMANDS ON)

# Find includes in corresponding build directories
set(CMAKE_INCLUDE_CURRENT_DIR ON)

# Instruct CMake to run moc automatically when needed
set(CMAKE_AUTOMOC ON)

# Create code from a list of Qt designer ui files
set(CMAKE_AUTOUIC ON)

set(CMAKE_AUTORCC ON)

set(CMAKE_AUTOUIC_SEARCH_PATHS
${CMAKE_CURRENT_SOURCE_DIR}/src
${CMAKE_CURRENT_SOURCE_DIR}/src/GPS
${CMAKE_CURRENT_SOURCE_DIR}/src/Preferences
${CMAKE_CURRENT_SOURCE_DIR}/src/Render
${CMAKE_CURRENT_SOURCE_DIR}/src/PaintStyle
${CMAKE_CURRENT_SOURCE_DIR}/src/ImportExport
${CMAKE_CURRENT_SOURCE_DIR}/src/common
${CMAKE_CURRENT_SOURCE_DIR}/src/Layers
${CMAKE_CURRENT_SOURCE_DIR}/src/Utils
${CMAKE_CURRENT_SOURCE_DIR}/src/QToolBarDialog
${CMAKE_CURRENT_SOURCE_DIR}/src/NameFinder
${CMAKE_CURRENT_SOURCE_DIR}/src/Interactions
${CMAKE_CURRENT_SOURCE_DIR}/src/Sync
${CMAKE_CURRENT_SOURCE_DIR}/src/Docks
)

# starting with Qt5.15 we have a lot of deprecation warnings,
# likely to make porting to Qt6 easier.
# as long as we require linking to older Qt versions those warnings
# are clutter. Remove this define when we start porting to Qt6.
add_definitions(-DQT_NO_DEPRECATED_WARNINGS)

if (UNIX)
	set(merkaartor_SRCS_PLATFORM
		src/qextserialport/posix_qextserialport.cpp
		3rdparty/qtsingleapplication-2.6_1-opensource/src/qtlockedfile_unix.cpp
	)
elseif (WIN32)
	set(merkaartor_SRCS_PLATFORM
		src/qextserialport/win_qextserialport.cpp
		3rdparty/qtsingleapplication-2.6_1-opensource/src/qtlockedfile_win.cpp
	)
endif()


# Populate a CMake variable with the sources
set(merkaartor_SRCS
${merkaartor_SRCS_PLATFORM}
src/Backend/MemoryBackend.cpp
src/Backend/MemoryBackend.h
src/GPS/qgps.h
#src/GPS/GpsFix.cpp
src/GPS/qgpsdevice.cpp
src/GPS/qgpssatellitetracker.h
src/GPS/SatelliteStrengthView.cpp
src/GPS/qgpssatellitetracker.cpp
src/GPS/SatelliteStrengthView.h
#src/GPS/GpsFix.h
src/GPS/qgpsdevice.h
src/GPS/qgps.cpp
src/GPS/qgpsmainwindowui.ui
src/MainWindow.ui
src/Features/Way.h
src/Features/TrackSegment.cpp
src/Features/Node.cpp
src/Features/Feature.cpp
src/Features/Relation.h
src/Features/Way.cpp
src/Features/TrackSegment.h
src/Features/Features.h
src/Features/Node.h
src/Features/Feature.h
src/Features/Relation.cpp
src/Preferences/TMSPreferencesDialog.cpp
src/Preferences/WMSPreferencesDialog.h
src/Preferences/FilterList.cpp
src/Preferences/MerkaartorPreferences.cpp
src/Preferences/MerkaartorPreferences.h
src/Preferences/BookmarksList.h
src/Preferences/FilterPreferencesDialog.ui
src/Preferences/PreferencesDialog.h
src/Preferences/WmsServersList.cpp
src/Preferences/FilterList.h
src/Preferences/WMSPreferencesDialog.ui
src/Preferences/WMSPreferencesDialog.cpp
src/Preferences/FilterPreferencesDialog.cpp
src/Preferences/ProjPreferencesDialog.ui
src/Preferences/TmsServersList.h
src/Preferences/TmsServersList.cpp
src/Preferences/OsmServerWidget.ui
src/Preferences/TMSPreferencesDialog.h
src/Preferences/BookmarksList.cpp
src/Preferences/FilterPreferencesDialog.h
src/Preferences/TMSPreferencesDialog.ui
src/Preferences/ProjectionsList.cpp
src/Preferences/ProjPreferencesDialog.cpp
src/Preferences/PreferencesDialog.ui
src/Preferences/ProjPreferencesDialog.h
src/Preferences/WmsServersList.h
src/Preferences/ProjectionsList.h
src/Preferences/PreferencesDialog.cpp
src/Render/MapRenderer.h
src/Render/NativeRenderDialog.ui
src/Render/NativeRenderDialog.h
src/Render/NativeRenderDialog.cpp
src/Render/MapRenderer.cpp
src/PaintStyle/Painter.cpp
src/PaintStyle/MapCSSPaintstyle.cpp
src/PaintStyle/MasPaintStyle.h
src/PaintStyle/Painter.h
src/PaintStyle/MapCSSPaintstyle.h
src/PaintStyle/PaintStyleEditor.ui
src/PaintStyle/PrimitivePainter.cpp
src/PaintStyle/PrimitivePainter.h
src/PaintStyle/PaintStyleEditor.h
src/PaintStyle/MasPaintStyle.cpp
src/PaintStyle/FeaturePainter.cpp
src/PaintStyle/FeaturePainter.h
src/PaintStyle/PaintStyleEditor.cpp
src/PaintStyle/IPaintStyle.h
src/MainWindow.cpp
src/Commands/TrackSegmentCommands.cpp
src/Commands/WayCommands.cpp
src/Commands/NodeCommands.cpp
src/Commands/TrackSegmentCommands.h
src/Commands/NodeCommands.h
src/Commands/FeatureCommands.cpp
src/Commands/FeatureCommands.h
src/Commands/RelationCommands.cpp
src/Commands/DocumentCommands.cpp
src/Commands/DocumentCommands.h
src/Commands/WayCommands.h
src/Commands/Command.cpp
src/Commands/Command.h
src/Commands/RelationCommands.h
#src/Tools/QFatFs/QFatFs.h
#src/Tools/QFatFs/QFat.cpp
#src/Tools/QFatFs/QFatFile.cpp
#src/Tools/QFatFs/QFatFs.cpp
#src/Tools/QFatFs/QFat.h
#src/Tools/QFatFs/QFatFile.h
src/Tools/ActionsDialog.cpp
#src/Tools/RegionMapWidget.cpp
#src/Tools/RegionMapWidget.h
src/Tools/ActionsDialog.h
src/qextserialport/qextserialport.cpp
src/qextserialport/qextserialport.h
src/qextserialport/qextserialbase.cpp
src/qextserialport/qextserialbase.h
src/ImportExport/ImportNMEA.cpp
#src/ImportExport/ImportExportPBF.h
src/ImportExport/ImportNMEA.h
src/ImportExport/ImportExportGdal.h
src/ImportExport/IImportExport.cpp
src/ImportExport/ImportExportOSC.h
src/ImportExport/ImportOSM.h
src/ImportExport/ExportOSM.cpp
src/ImportExport/ExportDialog.ui
src/ImportExport/ImportNGT.cpp
src/ImportExport/ImportExportCSV.cpp
src/ImportExport/ImportGPX.h
src/ImportExport/ImportExportKML.h
src/ImportExport/ImportExportKML.cpp
src/ImportExport/ImportExportOSC.cpp
src/ImportExport/ExportGPX.h
src/ImportExport/ImportCSVDialog.cpp
src/ImportExport/ImportCSVDialog.ui
#src/ImportExport/fileformat.pb.h
#src/ImportExport/osmformat.pb.cc
#src/ImportExport/osmformat.pb.h
#src/ImportExport/fileformat.pb.cc
src/ImportExport/ImportNGT.h
src/ImportExport/ImportCSVDialog.h
src/ImportExport/ExportOSM.h
src/ImportExport/ImportOSM.cpp
src/ImportExport/ImportExportCSV.h
#src/ImportExport/ImportExportPBF.cpp
src/ImportExport/IImportExport.h
src/ImportExport/ExportGPX.cpp
src/ImportExport/ImportGPX.cpp
src/ImportExport/ImportExportGdal.cpp
src/MainWindow.h
src/common/UploadMapDialog.ui
src/common/GotoDialog.ui
src/common/PropertiesDialog.ui
src/common/GotoDialog.h
src/common/MapTypedef.h
src/common/RelationProperties.ui
src/common/MapView.h
src/common/GotoDialog.cpp
src/common/TerraceDialog.h
src/common/TerraceDialog.cpp
src/common/TagModel.cpp
src/common/Document.h
src/common/Coord.h
src/common/Painting.h
src/common/FeatureManipulations.h
src/common/MultiProperties.ui
src/common/TerraceDialog.ui
src/common/Document.cpp
src/common/DownloadMapDialog.ui
src/common/FeatureManipulations.cpp
src/common/AboutDialog.ui
src/common/MapView.cpp
src/common/TagModel.h
src/common/Coord.cpp
src/common/Global.h
src/common/Global.cpp
src/common/Painting.cpp
src/common/Projection.h
src/common/Projection.cpp
src/Layers/OsmRenderLayer.cpp
src/Layers/LayerWidget.cpp
src/Layers/ImageMapLayer.h
src/Layers/OsmRenderLayer.h
src/Layers/Layer.cpp
src/Layers/LicenseDisplayDialog.ui
src/Layers/ImageMapLayer.cpp
src/Layers/LayerIterator.h
src/Layers/Layer.h
src/Layers/LayerWidget.h
src/Layers/LayerWidget.ui
src/Layers/FilterEditDialog.ui
src/Layers/LayerPrivate.h
src/Utils/ShortcutOverrideFilter.h
src/Utils/SelectionDialog.cpp
src/Utils/ProjectionChooser.h
src/Utils/TagSelectorWidget.ui
src/Utils/CheckBoxList.cpp
src/Utils/SlippyMapWidget.cpp
src/Utils/TagSelectorWidget.h
src/Utils/CheckBoxList.h
src/Utils/SlippyMapWidget.h
src/Utils/Utils.h
src/Utils/OsmLink.cpp
src/Utils/ShortcutOverrideFilter.cpp
src/Utils/TagSelectorWidget.cpp
src/Utils/LineF.h
src/Utils/SelectionDialog.ui
src/Utils/TagSelector.h
src/Utils/Utils.cpp
src/Utils/PictureViewerDialog.h
src/Utils/EditCompleterDelegate.cpp
src/Utils/ProjectionChooser.cpp
src/Utils/SvgCache.cpp
src/Utils/MDiscardableDialog.cpp
src/Utils/ProjectionChooser.ui
src/Utils/PictureViewerDialog.ui
src/Utils/PixmapWidget.h
src/Utils/OsmLink.h
src/Utils/EditCompleterDelegate.h
src/Utils/PictureViewerDialog.cpp
src/Utils/MDiscardableDialog.h
src/Utils/SelectionDialog.h
src/Utils/PixmapWidget.cpp
src/Utils/TagSelector.cpp
src/Utils/SvgCache.h
src/Utils/RemoteControlServer.cpp
src/QToolBarDialog/qttoolbardialog.h
src/QToolBarDialog/qttoolbardialog.cpp
src/QToolBarDialog/qttoolbardialog.ui
src/NameFinder/namefinderwidget.ui
src/NameFinder/httpquery.h
src/NameFinder/namefindertablemodel.cpp
src/NameFinder/xmlstreamreader.cpp
src/NameFinder/NameFinderResult.h
src/NameFinder/namefindertablemodel.h
src/NameFinder/httpquery.cpp
src/NameFinder/namefinderwidget.h
src/NameFinder/xmlstreamreader.h
src/NameFinder/namefinderwidget.cpp
src/TagTemplate/TagTemplate.cpp
src/TagTemplate/TagTemplate.h
src/Interactions/ScaleInteraction.h
src/Interactions/CreateAreaInteraction.cpp
src/Interactions/Interaction.h
src/Interactions/CreateAreaInteraction.h
src/Interactions/EditInteraction.h
src/Interactions/ScaleInteraction.cpp
src/Interactions/CreateDoubleWayInteraction.cpp
src/Interactions/EditInteraction.cpp
src/Interactions/CreateDoubleWayInteraction.h
src/Interactions/RotateInteraction.h
src/Interactions/ZoomInteraction.h
src/Interactions/CreateSingleWayInteraction.cpp
src/Interactions/Interaction.cpp
src/Interactions/ExtrudeInteraction.cpp
src/Interactions/ZoomInteraction.cpp
src/Interactions/RotateInteraction.cpp
src/Interactions/CreateDoubleWayDock.ui
src/Interactions/CreatePolygonInteraction.cpp
src/Interactions/MoveNodeInteraction.h
src/Interactions/MoveNodeInteraction.cpp
src/Interactions/CreatePolygonInteraction.h
src/Interactions/CreateNodeInteraction.cpp
src/Interactions/CreateRoundaboutDock.ui
src/Interactions/CreateRoundaboutInteraction.h
src/Interactions/ExtrudeInteraction.h
src/Interactions/BuildBridgeInteraction.h
src/Interactions/CreateRoundaboutInteraction.cpp
src/Interactions/CreateNodeInteraction.h
src/Interactions/CreateSingleWayInteraction.h
src/Interactions/BuildBridgeInteraction.cpp
src/Sync/SyncListDialog.ui
src/Sync/DirtyList.cpp
src/Sync/DownloadOSM.h
src/Sync/DirtyListExecutorOSC.cpp
src/Sync/DirtyListExecutorOSC.h
src/Sync/DownloadOSM.cpp
src/Sync/DirtyList.h
#src/QMapControl/mapcontrol.cpp
src/QMapControl/WmscMapAdapter.cpp
src/QMapControl/mapnetwork.cpp
src/QMapControl/wmsmapadapter.h
src/QMapControl/tilemapadapter.cpp
src/QMapControl/wmsmapadapter.cpp
#src/QMapControl/imagepoint.h
src/QMapControl/imagemanager.cpp
src/QMapControl/WmscMapAdapter.h
src/QMapControl/tilemapadapter.h
src/QMapControl/imagemanager.h
#src/QMapControl/mapcontrol.h
src/QMapControl/mapadapter.h
src/QMapControl/mapadapter.cpp
#src/QMapControl/imagepoint.cpp
src/QMapControl/mapnetwork.h
src/Docks/PropertiesDock.cpp
src/Docks/FeaturesDock.h
src/Docks/StyleDock.ui
src/Docks/MinimumRoadProperties.ui
src/Docks/InfoDock.h
src/Docks/FeaturesDock.ui
src/Docks/MinimumRelationProperties.ui

=== debian/changelog ===
merkaartor (0.19.0~rc1+ds-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Bump Standards-Version to 4.5.1, no changes.
  * Update watch file for GitHub URL changes.

  [ Jerome Benoit ]
  * New upstream minor version (Closes: #983245)
  * Update d/copyright
  * Refreh d/patches/*

 -- Jerome Benoit <calculus@rezozer.net>  Sun, 13 Jun 2021 20:15:20 +0000

=== debian/control ===
Source: merkaartor
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Jerome Benoit <calculus@rezozer.net>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13),
               libboost-dev,
               libboost-math-dev,
               libboost-serialization-dev,
               libexiv2-dev,
               libgdal-dev,
               libgps-dev,
               libproj-dev,
               libproxy-dev,
               libqt5svg5-dev,
               libqt5webkit5-dev,
               libquazip5-dev,
               libspatialite-dev,
               libxml2-dev,
               libxslt1-dev,
               qt5-qmake,
               qt5-qmake:native,
               qtbase5-dev,
               qttools5-dev-tools,
               qtwebengine5-dev,
               sharutils,
               zlib1g-dev
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/debian-gis-team/merkaartor
Vcs-Git: https://salsa.debian.org/debian-gis-team/merkaartor.git
Homepage: http://www.merkaartor.be/
Rules-Requires-Root: no

Package: merkaartor
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Suggests: spatialite-bin
Description: map editor for OpenStreetMap.org
 Merkaartor is a map editor for OpenStreetMap.org, the free editable map of the
 whole world.
 .
 Features:
  * download from and upload to the OpenStreetMap server
  * open .osm and .gpx files
  * create and move trackpoints, ways, and areas
  * add tags, delete features
  * reverse, split and join ways
  * visualize some leisure/landuse areas and road types
  * displaying GPS information

## merkaartor 0.19.0%2Bds

=== debian/control ===
--- 
+++ 
@@ -13,19 +13,19 @@
                libproj-dev,
                libproxy-dev,
                libqt5svg5-dev,
-               libqt5webkit5-dev,
                libquazip5-dev,
                libspatialite-dev,
                libxml2-dev,
                libxslt1-dev,
+               pkg-config,
                qt5-qmake,
                qt5-qmake:native,
                qtbase5-dev,
                qttools5-dev-tools,
-               qtwebengine5-dev,
+               qtwebengine5-dev [amd64 arm64 armhf i386 mipsel],
                sharutils,
                zlib1g-dev
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/merkaartor
 Vcs-Git: https://salsa.debian.org/debian-gis-team/merkaartor.git
 Homepage: http://www.merkaartor.be/

## merkaartor 0.19.0+ds

=== debian/changelog ===
merkaartor (0.19.0+ds-4) unstable; urgency=medium

  * Team upload.

  [ Bas Couwenberg ]
  * Bump Standards-Version to 4.6.2, no changes.
  * Don't use qtwebengine5-dev on mipsel, package to be removed.
  * Update lintian overrides.

  [ Adrian Bunk ]
  * qtwebengine5-dev is now available on mips64el

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 25 Jul 2023 09:31:25 +0200

merkaartor (0.19.0+ds-3) unstable; urgency=medium

  [ Jerome Benoit ]
  * Silence lintian source-is-missing error reports.
  * Update copyright year for debian files.
  * Refresh a lintian tag in d/s/lintian-overrides.

  [ Bas Couwenberg ]
  * Team upload.
  * Bump Standards-Version to 4.6.1, no changes.
  * Add pkg-config to build dependencies.

 -- Jerome Benoit <calculus@rezozer.net>  Sat, 29 Oct 2022 15:50:39 +0000

merkaartor (0.19.0+ds-2) unstable; urgency=medium

  * Team upload.
  * Drop -DACCEPT_USE_OF_DEPRECATED_PROJ_API_H, proj.h is supported now.
    (closes: #993609)

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 04 Sep 2021 17:05:19 +0200

merkaartor (0.19.0+ds-1) unstable; urgency=medium

  * New ustream minor version.
  * Debianization:
    - d/copyright:
      - Files-Excluded list, refresh;
    - d/control:
      - Build-Depends:
        - qtwebengine5-dev dependency, discard (Closes: #991025);
        - qtwebengine5-dev dependency, specify supported arch (idem);
    - d/rules:
      - USEWEBENGINE, set wrt arch supporting qtwebengine5-dev (idem);
    - d/p/spelling-errors.patch, integrated.

 -- Jerome Benoit <calculus@rezozer.net>  Sun, 29 Aug 2021 12:45:57 +0000

=== debian/control ===
--- 
+++ 
@@ -22,10 +22,10 @@
                qt5-qmake:native,
                qtbase5-dev,
                qttools5-dev-tools,
-               qtwebengine5-dev [amd64 arm64 armhf i386 mipsel],
+               qtwebengine5-dev [amd64 arm64 armhf i386 mips64el],
                sharutils,
                zlib1g-dev
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/merkaartor
 Vcs-Git: https://salsa.debian.org/debian-gis-team/merkaartor.git
 Homepage: http://www.merkaartor.be/

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Enable hardening build flags
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

# Use Qt5
export QT_SELECT=5

DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)

ifneq (,$(filter $(DEB_HOST_ARCH), amd64 arm64 armhf i386 mips64el))
DEB_PKG_USEWEBENGINE=1
else
DEB_PKG_USEWEBENGINE=0
endif


%:
	dh $@ --buildsystem=qmake

override_dh_auto_clean:
	dh_auto_clean
	cd translations && make clean

override_dh_clean:
	dh_clean
	rm -rf binaries

override_dh_auto_configure:
	cd translations && make release
	dh_auto_configure -- -recursive \
		Merkaartor.pro \
		TRANSDIR_SYSTEM="/usr/share/qt5/translations/" \
		GDAL=1 \
		GEOIMAGE=1 \
		GPSDLIB=1 \
		LIBPROXY=1 \
		NOWEBKIT=1 \
		PROJ=1 \
		SPATIALITE=0 \
		SYSTEM_QUAZIP=1 \
		SYSTEM_QUAZIP_LDFLAGS="-lquazip5" \
		USEWEBENGINE=$(DEB_PKG_USEWEBENGINE) \
		ZBAR=0 \
		NODEBUG=1 \
		RELEASE=1

override_dh_installchangelogs:
	dh_installchangelogs CHANGELOG

override_dh_installman:
	dh_installman debian/merkaartor.1

## merkaartor 0.20.0%2Bds

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.19.0)
 
-set(VCS_FALLBACK_VERSION 0.19.0)
+set(VCS_FALLBACK_VERSION 0.20.0)
 include(cmake/vcs.cmake)
 message(STATUS "Configuring Merkaartor ${VCS_VERSION}, commit: ${VCS_COMMIT}, dirty: ${VCS_DIRTY}.")
 
@@ -21,10 +21,12 @@
 # compatibility.
 # Using configure_file() allows us to store the metadata in a .cpp file, thus
 # only rebuilding that one and linking.
-add_definitions(-DVERSION=${PROJECT_VERSION} -DREVISION=${VCS_DESCRIBE})
-add_definitions(-DPRODUCT=Merkaartor)
-add_definitions(-DSHARE_DIR=${CMAKE_INSTALL_PREFIX}/share/merkaartor)
-add_definitions(-DTRANSDIR_MERKAARTOR=${CMAKE_INSTALL_PREFIX}/share/merkaartor)
+set(SHARE_DIR ${CMAKE_INSTALL_PREFIX}/share/merkaartor)
+set(LIB_DIR   ${CMAKE_INSTALL_PREFIX}/lib/merkaartor)
+configure_file("${PROJECT_SOURCE_DIR}/cmake/build-metadata.cpp.in" "${PROJECT_BINARY_DIR}/build-metadata.cpp" @ONLY)
+
+set(CMAKE_CXX_STANDARD 17)
+set(CMAKE_CXX_STANDARD_REQUIRED ON)
 
 enable_testing()
 
@@ -42,6 +44,27 @@
 set(CMAKE_AUTOUIC ON)
 
 set(CMAKE_AUTORCC ON)
+
+##############################################
+# Find Qt dependencies
+##############################################
+set(MERKAARTOR_QT_LIBS Svg Network NetworkAuth Xml Core Gui Concurrent PrintSupport Widgets Test)
+set(MERKAARTOR_QT_TOOLS LinguistTools)
+find_package(QT NAMES Qt5 Qt6 REQUIRED COMPONENTS Core)
+message(STATUS " * Qt version found: ${QT_VERSION}")
+if (${QT_VERSION_MAJOR} EQUAL 6)
+    list(APPEND MERKAARTOR_QT_LIBS Core5Compat)
+endif()
+if (APPLE)
+    # macdeployqt does not properly bundle dbus
+    # see https://bugreports.qt.io/browse/QTBUG-127075
+    list(APPEND MERKAARTOR_QT_LIBS DBus)
+endif()
+
+find_package(Qt${QT_VERSION_MAJOR} COMPONENTS ${MERKAARTOR_QT_LIBS} ${MERKAARTOR_QT_TOOLS} CONFIG REQUIRED)
+set(MERKAARTOR_LINK_LIBS ${MERKAARTOR_QT_LIBS})
+list(TRANSFORM MERKAARTOR_LINK_LIBS PREPEND Qt${QT_VERSION_MAJOR}::)
+
 
 set(CMAKE_AUTOUIC_SEARCH_PATHS
 ${CMAKE_CURRENT_SOURCE_DIR}/src
@@ -81,17 +104,16 @@
 
 # Populate a CMake variable with the sources
 set(merkaartor_SRCS
+${PROJECT_BINARY_DIR}/build-metadata.cpp
 ${merkaartor_SRCS_PLATFORM}
 src/Backend/MemoryBackend.cpp
 src/Backend/MemoryBackend.h
 src/GPS/qgps.h
-#src/GPS/GpsFix.cpp
 src/GPS/qgpsdevice.cpp
 src/GPS/qgpssatellitetracker.h
 src/GPS/SatelliteStrengthView.cpp
 src/GPS/qgpssatellitetracker.cpp
 src/GPS/SatelliteStrengthView.h
-#src/GPS/GpsFix.h
 src/GPS/qgpsdevice.h
 src/GPS/qgps.cpp
 src/GPS/qgpsmainwindowui.ui
@@ -141,13 +163,9 @@
 src/Render/NativeRenderDialog.cpp
 src/Render/MapRenderer.cpp
 src/PaintStyle/Painter.cpp
-src/PaintStyle/MapCSSPaintstyle.cpp
 src/PaintStyle/MasPaintStyle.h
 src/PaintStyle/Painter.h
-src/PaintStyle/MapCSSPaintstyle.h
 src/PaintStyle/PaintStyleEditor.ui
-src/PaintStyle/PrimitivePainter.cpp
-src/PaintStyle/PrimitivePainter.h
 src/PaintStyle/PaintStyleEditor.h
 src/PaintStyle/MasPaintStyle.cpp
 src/PaintStyle/FeaturePainter.cpp
@@ -169,22 +187,13 @@
 src/Commands/Command.cpp
 src/Commands/Command.h
 src/Commands/RelationCommands.h
-#src/Tools/QFatFs/QFatFs.h
-#src/Tools/QFatFs/QFat.cpp
-#src/Tools/QFatFs/QFatFile.cpp
-#src/Tools/QFatFs/QFatFs.cpp
-#src/Tools/QFatFs/QFat.h
-#src/Tools/QFatFs/QFatFile.h
 src/Tools/ActionsDialog.cpp
-#src/Tools/RegionMapWidget.cpp
-#src/Tools/RegionMapWidget.h
 src/Tools/ActionsDialog.h
 src/qextserialport/qextserialport.cpp
 src/qextserialport/qextserialport.h
 src/qextserialport/qextserialbase.cpp
 src/qextserialport/qextserialbase.h
 src/ImportExport/ImportNMEA.cpp
-#src/ImportExport/ImportExportPBF.h
 src/ImportExport/ImportNMEA.h
 src/ImportExport/ImportExportGdal.h
 src/ImportExport/IImportExport.cpp
@@ -201,16 +210,11 @@
 src/ImportExport/ExportGPX.h
 src/ImportExport/ImportCSVDialog.cpp
 src/ImportExport/ImportCSVDialog.ui
-#src/ImportExport/fileformat.pb.h
-#src/ImportExport/osmformat.pb.cc
-#src/ImportExport/osmformat.pb.h
-#src/ImportExport/fileformat.pb.cc
 src/ImportExport/ImportNGT.h
 src/ImportExport/ImportCSVDialog.h
 src/ImportExport/ExportOSM.h
 src/ImportExport/ImportOSM.cpp
 src/ImportExport/ImportExportCSV.h
-#src/ImportExport/ImportExportPBF.cpp
 src/ImportExport/IImportExport.h
 src/ImportExport/ExportGPX.cpp
 src/ImportExport/ImportGPX.cpp
@@ -261,16 +265,15 @@
 src/Utils/ShortcutOverrideFilter.h
 src/Utils/SelectionDialog.cpp
 src/Utils/ProjectionChooser.h
-src/Utils/TagSelectorWidget.ui
-src/Utils/CheckBoxList.cpp
 src/Utils/SlippyMapWidget.cpp
-src/Utils/TagSelectorWidget.h
-src/Utils/CheckBoxList.h
 src/Utils/SlippyMapWidget.h
 src/Utils/Utils.h
 src/Utils/OsmLink.cpp
+src/Utils/OsmServer.cpp
+src/Utils/OsmOAuth2Flow.cpp
+src/Utils/OAuth2OOBDialog.ui
+src/Utils/OAuth2OOBDialog.cpp
 src/Utils/ShortcutOverrideFilter.cpp
-src/Utils/TagSelectorWidget.cpp
 src/Utils/LineF.h
 src/Utils/SelectionDialog.ui
 src/Utils/TagSelector.h
@@ -292,6 +295,8 @@
 src/Utils/TagSelector.cpp
 src/Utils/SvgCache.h
 src/Utils/RemoteControlServer.cpp
+src/Utils/BoundaryIcon.cpp
+src/Utils/BoundaryIcon.h
 src/QToolBarDialog/qttoolbardialog.h
 src/QToolBarDialog/qttoolbardialog.cpp
 src/QToolBarDialog/qttoolbardialog.ui
@@ -344,26 +349,15 @@
 src/Sync/DirtyListExecutorOSC.h
 src/Sync/DownloadOSM.cpp
 src/Sync/DirtyList.h
-#src/QMapControl/mapcontrol.cpp
 src/QMapControl/WmscMapAdapter.cpp
 src/QMapControl/mapnetwork.cpp
 src/QMapControl/wmsmapadapter.h
 src/QMapControl/tilemapadapter.cpp
 src/QMapControl/wmsmapadapter.cpp
-#src/QMapControl/imagepoint.h
 src/QMapControl/imagemanager.cpp
 src/QMapControl/WmscMapAdapter.h
 src/QMapControl/tilemapadapter.h
 src/QMapControl/imagemanager.h
-#src/QMapControl/mapcontrol.h
 src/QMapControl/mapadapter.h
 src/QMapControl/mapadapter.cpp
-#src/QMapControl/imagepoint.cpp
 src/QMapControl/mapnetwork.h
-src/Docks/PropertiesDock.cpp
-src/Docks/FeaturesDock.h
-src/Docks/StyleDock.ui
-src/Docks/MinimumRoadProperties.ui
-src/Docks/InfoDock.h
-src/Docks/FeaturesDock.ui
-src/Docks/MinimumRelationProperties.ui

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Enable hardening build flags
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)

%:
	dh $@ --buildsystem=cmake

override_dh_auto_configure:
	dh_auto_configure -- \
		-DEXTRA_TESTS=0 \
		-DGEOIMAGE=1 \
		-DGPSD=1 \
		-DLIBPROXY=1 \
		-DWEBENGINE=1 \
		-DZBAR=0

override_dh_auto_test:
	xvfb-run -a -n 1 -s '-screen 0 1280x1024x24 -dpi 96' dh_auto_test

override_dh_installchangelogs:
	dh_installchangelogs CHANGELOG

override_dh_installman:
	dh_installman debian/merkaartor.1

## merkaartor 0.20.0+ds

=== debian/changelog ===
merkaartor (0.20.0+ds-3) unstable; urgency=medium

  * Team upload.
  * Update lintian overrides.
  * Drop Rules-Requires-Root: no, default since dpkg 1.22.13.
  * Add upstream patch to fix FTBFS with GDAL 3.12.0.
    (closes: #1118726)

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 25 Oct 2025 12:03:53 +0200

merkaartor (0.20.0+ds-2) unstable; urgency=medium

  * Team upload.
  * Drop libxml2-dev & libxslt1-dev build dependencies,
    osmarender support removed.
  * Drop obsolete boost build dependencies.
  * Drop obsolete libquazip1-qt6-dev & sharutils build dependencies.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 16 Aug 2025 10:58:27 +0200

merkaartor (0.20.0+ds-2~exp1) experimental; urgency=medium

  * Team upload.
  * Bump Standards-Version to 4.7.2, no changes.
  * Switch to Qt6.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 16 Aug 2025 07:28:35 +0200

merkaartor (0.20.0+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump Standards-Version to 4.7.0, no changes.
  * Drop patches applied upstream.
  * Update copyright file.
  * Add protobuf build dependencies.
  * Add libqt5networkauth5-dev build dependency for OAuth2 support.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 08 Sep 2024 06:20:04 +0200

merkaartor (0.19.0+ds-5) unstable; urgency=medium

  * Team upload.

  [ Bas Couwenberg ]
  * Use execute_after instead of override in rules file.
  * Enable Salsa CI.
  * Drop unused libspatialite-dev build dependency.
  * Replace pkg-config build dependency with pkgconf.
  * Add patch to fix FTBFS with libproxy 0.5.
    (closes: #1066442)
  * Switch from qmake to cmake.
  * Update lintian overrides.

  [ Pino Toscano ]
  * Backport upstream commit ba8b73e6b3372a21305640baca07a991f77db119 and
    commit 1e20d2ccd743ea5f8c2358e4ae36fead8b9390fd to build also with Exiv2
    0.28+; patches upstream_Moved-exiv2-header-from-GeoImageDock.h-to-.cpp.patch
    and upstream_Replaced-use-of-AutoPtr-with-std-unique_ptr-in-GeoIm.patch.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 13 Mar 2024 15:22:13 +0100

=== debian/control ===
Source: merkaartor
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Jerome Benoit <calculus@rezozer.net>
Section: science
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               libexiv2-dev,
               libgdal-dev,
               libgps-dev,
               libproj-dev,
               libprotobuf-dev,
               libproxy-dev,
               pkgconf,
               protobuf-compiler,
               qt6-5compat-dev,
               qt6-base-dev,
               qt6-networkauth-dev,
               qt6-svg-dev,
               qt6-tools-dev,
               qt6-webengine-dev,
               xauth,
               xvfb,
               zlib1g-dev
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/debian-gis-team/merkaartor
Vcs-Git: https://salsa.debian.org/debian-gis-team/merkaartor.git
Homepage: http://www.merkaartor.be/

Package: merkaartor
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: map editor for OpenStreetMap.org
 Merkaartor is a map editor for OpenStreetMap.org, the free editable map of the
 whole world.
 .
 Features:
  * download from and upload to the OpenStreetMap server
  * open .osm and .gpx files
  * create and move trackpoints, ways, and areas
  * add tags, delete features
  * reverse, split and join ways
  * visualize some leisure/landuse areas and road types
  * displaying GPS information

=== debian/watch ===
version=4
opts=\
repack,compression=xz,repacksuffix=+ds,\
dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/;s/RC/rc/;s/-/./g,\
filenamemangle=s/(?:.*\/)?(?:rel|v|merkaartor)?[\-\_]?(\d\S+)\.(tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))/merkaartor-$1.$2/ \
https://github.com/openstreetmap/merkaartor/tags \
(?:.*?/archive/(?:.*?/)?)?(?:rel|v|merkaartor)?[\-\_]?(\d\S+)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
